import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { SettleOption } from '../../core/settle-option';

export class ReceivePaymentDatasource extends DataSource<SettleOption> {
  constructor(private data: SettleOption[]) {
    super();
  }

  connect(): Observable<SettleOption[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
